DEPTH = ../../..

include $(DEPTH)/Makefile.os

PACKAGES = \
	freedoko-altenburg \
	freedoko-all \
	freedoko \
	freedoko-binary \
	freedoko-data \
	freedoko-translation-de \
	freedoko-translation-en \
	freedoko-backgrounds \
	freedoko-cardsets-xskat \
	freedoko-cardsets-pysol \
	freedoko-cardsets-kdecarddecks \
	freedoko-manual-base \
	freedoko-manual-de \
	freedoko-manual-en

PACKAGES_TO_CREATE = \
	freedoko-binary \
	freedoko-altenburg \
	freedoko-translation-de \
	freedoko-translation-en \
	freedoko-manual-de \


DEBIAN_VERSION = sarge

TARGET_DIR = /tmp/FreeDoko.packages
export TARGET_DIR

DEB_DIR = /home/install/mirrors/FreeDoko

.PHONY: all packages

all :

packages :
	for d in $(PACKAGES_TO_CREATE); do \
	  make -C $$d package; \
	done
	cp $(TARGET_DIR)/*.deb $(DEB_DIR)/pool/main/FreeDoko/
	-mv $(DEB_DIR)/pool/main/FreeDoko/freedoko-altenburg* \
	    $(DEB_DIR)/pool/non-free/FreeDoko/
	apt-ftparchive generate ./generate.cfg
